<?php
// Стартуем сессию.
session_start();
// подгружаем конфиг
require_once 'config.php';
$loginText = '';
// проверяем не пришел ли logout
if (isset($_GET['logout']) AND ($_GET['logout'] == 'now'))
    {
    // Убираем авторизацию.
    unset($_SESSION['user_id']);
    unset($_SESSION['ip']);
    unset($_SESSION['login']);
    }
// Проверяем сессию на авторизованность
if (isset($_SESSION['user_id']) AND isset($_SESSION['ip'])
        AND ($_SESSION['ip'] == $_SERVER['REMOTE_ADDR']))
    {
    //мы уже авторизованы.
    $loginText = 'Привет, ' . $_SESSION['login'] . '!<hr>'
            . '<a href="index.php?logout=now">Выйти</a>';
    } else
    {
    // Мы не вводили логин и пароль рисуем формочку
    $loginText = "Авторизуйтесь:<hr>\n";
    $loginText .='<form method="post"><br>' . "\n";
    $loginText .='Аккаунт: <input type="text" name="login"><br><br>' . "\n";
    $loginText .='Пароль: <input type="password" name="pass"><br>' . "\n";
    $loginText .='<br><input type="submit" value="Войти"><br>' . "\n";
    $loginText .='</form>' . "\n";

    // проверяем не пришли ли данные об авторизации.
    if (isset($_POST['login']) AND isset($_POST['pass']))
        {
        // Пришли данные для авторизации
        // готовим строку
        $hashLine = sha1(strtoupper((addslashes($_POST['login']) . ':' . addslashes($_POST['pass']))));
        // готовим логин
        $loginLine = addslashes($_POST['login']);
        // подключаемся к базе
        $pdoDrvLine = $pdoDrv . ':dbname=' . $pdoDB . ';host=' . $pdoHost;
        $mypdo = new PDO($pdoDrvLine, $pdoUser, $pdoPass);
        $myQuery = $mypdo->prepare('select * from `account` where username ="' . $loginLine
                . '" AND sha_pass_hash = "' . $hashLine . '" limit 1');
        $myQuery->execute();
        $count = $myQuery->rowCount(); // сколько записей найдено?
        if ($count == 1)
            {
            $row = $myQuery->fetch();
            $_SESSION['user_id'] = $row['id'];
            $_SESSION['ip'] = $_SERVER['REMOTE_ADDR'];
            $_SESSION['login'] = $row['username'];
            $loginText = 'Привет, ' . $_SESSION['login'] . '!<hr>'
                    . '<a href="index.php?logout=now">Выйти</a>';
            } else
            {
            $loginText .= '<br><hr><b>Введены неверные данные!</b>';
            }
        }
    }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="style.css" type="text/css" rel="stylesheet" />
    </head>
    <body>
        <div id="menu_block">
            <?php
// тут выводим саму авторизацию
            echo $loginText;
            ?>
        </div>
        <div id="main_block">
            <?php require_once 'main.php'; // Это подгружается главный модуль движка      ?>
        </div>
    </body>
</html>